# TSPVodeSetLinearTolerance

Sets the tolerance used to solve the linear system by PVODE.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSPVodeSetLinearTolerance(TS ts,double tol)

Collective on TS

### Input parameters

| ts | - the time-step context
| tol | - the factor by which the tolerance on the nonlinear solver is multiplied to get the tolerance on the linear solver, .05 by default.

### Keywords

GMRES, linear convergence tolerance, PVODE

### See Also

TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(),
TSPVodeSetGramSchmidtType(), TSPVodeSetTolerance(), TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(), TSPVodeSetLinearTolerance(), TSPVodeSetTolerance(), TSPVodeGetPC(), TSPVodeSetExactFinalTime()

Level:advanced
Location:src/ts/impls/implicit/pvode/petscpvode.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages